
Core - Task # 54855

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Unit/Functional Tests
Created: 2014-01-08 Assigned To: Oliver Hader
Updated: 2014-02-02 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Add functional test cases to DataHandler for regular live editing
Description

Add functional test cases to DataHandler for regular live editing (no workspace interaction)

    -  regular records
        -  create
        -  modify/edit
        -  delete
        -  copy
        -  localize
        -  change sorting on same page
        -  move to different page
        -  move to different page & change sorting
    -  page records
        -  same as for regular records
        -  delete page branch
        -  copy page branch
        -  create translation (page language overlay)
    -  IRRE child records
        -  basically done with IRRE tutorial already
    -  MM references
        -  reference two records to each other
        -  copy referenced record
        -  delete referenced record
        -  change sorting among other MM relations
        -  localize referenced record

These tests are to ensure that further changes to DataHandler don't have negative side-effects...

Associated revisions
Revision 46574717 - 2014-02-02 16:38 - Oliver Hader

[TASK] Add functional test cases to DataHandler (live)

This change-set adds new functional tests for the DataHandler
to ensure the correct behaviour in the Live Workspace. The
difference to current functional tests is, that here a more
complete picture is checked in the database instead of only
particular ids and values.

The tests use a DataSet, which is basically only a CSV file
that hold the record values for required tables. These CSV
files can easily be modified by any spreadsheet application.
The "Scenario" DataSets are used to define the scenario each
test case is based on - the "Assertion" DataSets are used to
acutally assert that the correct processing was done in
the DataHandler.

Resolves: #54855
Releases: 6.2
Change-Id: I5d748cde04a70b9c158d09f9a0bd337ef809fd02
Reviewed-on: https://review.typo3.org/27188
Reviewed-by: Peter Kuehn
Tested-by: Peter Kuehn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision aa43d8f8 - 2014-02-25 11:36 - Marc Bastian Heinrichs

[TASK] Use DataHandler testing framework for simple import test

Adapt the impexp simple import test to the testing framework
available with #54855.

Resolves: #55664
Related: #54855
Releases: 6.2
Change-Id: I6f1e9eb6ef3bda5b984ac67af3964fed90ba41f2
Reviewed-on: https://review.typo3.org/27325
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-01-08 22:48 - Oliver Hader
- Status changed from New to Accepted

#2 - 2014-01-31 12:52 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188
#3 - 2014-01-31 14:46 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#4 - 2014-01-31 14:49 - Ingo Schmitt
- Parent task changed from #54852 to #55064

#5 - 2014-01-31 17:24 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#6 - 2014-01-31 23:02 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#7 - 2014-02-01 11:48 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#8 - 2014-02-01 13:09 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#9 - 2014-02-01 14:38 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#10 - 2014-02-01 16:43 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#11 - 2014-02-01 16:49 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#12 - 2014-02-01 19:34 - Oliver Hader
- Assigned To set to Oliver Hader
#13 - 2014-02-01 20:04 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#14 - 2014-02-02 10:24 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#15 - 2014-02-02 12:14 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27188

#16 - 2014-02-02 17:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:465747177c3b65e78c02e97f60d8a102da2da369.
